package com.app.wallpaper.mydao;

import androidx.room.Entity;
import androidx.room.PrimaryKey;

import java.io.Serializable;

@Entity(tableName = "table_image_url")
public class MyEntity implements Serializable {
    @PrimaryKey(autoGenerate = true)
    public int id;
    public String imagePre;
    public String imageSou;

    public MyEntity(String imageUrl1, String imageUrl2) {
        this.imagePre = imageUrl1;
        this.imageSou = imageUrl2;
    }
    public MyEntity(){

    }

    public void setId(int id) {
        this.id = id;
    }

    public void setImagePre(String imageUrl1) {
        this.imagePre = imageUrl1;
    }

    public void setImageSou(String imageUrl2) {
        this.imageSou = imageUrl2;
    }

    public int getId() {
        return id;
    }


    public String getImageUrl1() {
        return imagePre;
    }

    public String getImageUrl2() {
        return imageSou;
    }
}
